routes/web.php
<?php

use App\Http\Controllers\LoginController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\RegistrationController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function() {
   return redirect()->route('profiles.index');
});
Route::resource('profiles', ProfileController::class);

Route::controller(LoginController::class)->group(function () {
    Route::get('/login','form')->name('login');
    Route::post('/login','authenticate')->name('login.authenticate');
    Route::get('/logout', 'logout')->name('logout');
});

Route::controller(RegistrationController::class)->group(function() {
    Route::get('/registration', 'form')->name('registration.form');
    Route::post('/registration', 'register')->name('registration.register');
});

resources/views/layout/html.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Test Task</title>
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
</head>
<body>
<div class="container pt-2 pb-5">
    @yield('content')
</div>
</body>
</html>

resources/views/layout/navbar.blade.php
<nav class="navbar navbar-expand-lg justify-content-between mb-4">
    <a href="{{ route('profiles.index') }}" class="navbar-brand">Главная</a>
    <div class="navbar-nav">
        @if(\Illuminate\Support\Facades\Auth::check())
            @if(\Illuminate\Support\Facades\Auth::user()->profile)
                <a href="{{ route('profiles.show', ['profile' => \Illuminate\Support\Facades\Auth::user()->profile->id]) }}" class="nav-link">Моя анкета</a>
            @else
                <a href="{{ route('profiles.create') }}" class="nav-link">Создать анкету</a>
            @endif
            <a href="{{ route('logout') }}" class="nav-link">Выйти</a>
        @else
            <a href="{{ route('login') }}" class="nav-link">Войти</a>
        @endif
    </div>
</nav>